Description:

Creates a single developable surface between two curves.

Syntax:
public static Brep[] CreateDevelopableLoft(
Curve crv0,
Curve crv1,
bool reverse0,
bool reverse1,
int density
)
Parameters:
  • crv0
  • Type: Curve
  • The first rail curve.
  • crv1
  • Type: Curve
  • The second rail curve.
  • reverse0
  • Type: bool
  • Reverse the first rail curve.
  • reverse1
  • Type: bool
  • Reverse the second rail curve
  • density
  • Type: int
  • The number of rulings across the surface.
Returns:
Type: Brep[]
The output Breps if successful, otherwise an empty array.
Available since:
6.10

Description:

Creates a single developable surface between two curves.

Syntax:
public static Brep[] CreateDevelopableLoft(
NurbsCurve rail0,
NurbsCurve rail1,
IEnumerable<Point2d> fixedRulings
)
Parameters:
  • fixedRulings
  • Type: IEnumerable<Point2d>
  • Rulings define lines across the surface that define the straight sections on the developable surface, where rulings[i].X = parameter on first rail curve, and rulings[i].Y = parameter on second rail curve. Note, rulings will be automatically adjusted to minimum twist.
Returns:
Type: Brep[]
The output Breps if successful, otherwise an empty array.
Available since:
6.10

/
/
/
CreateDevelopableLoft

CreateDevelopableLoft method

Class:  Rhino.Geometry.Brep

Nothing found